## gnome-shell-extension-appindicator 17.10.1

=== debian/changelog ===
gnome-shell-extension-appindicator (17.10.1) artful; urgency=medium

  * Fix telegram icon not scaled is not properly scaled on hidpi setups.
    Thanks Andrea (LP: #1720143)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 05 Oct 2017 10:29:46 +0200

gnome-shell-extension-appindicator (17.10) artful; urgency=medium

  * Initial release of appindicator extension.

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 22 Aug 2017 08:51:13 +0200
