## gnome-shell-extension-appindicator 17.10.3

=== debian/changelog ===
gnome-shell-extension-appindicator (17.10.3) artful; urgency=medium

  * Fix icon are too small with some tray icons such as Telegram
    (LP: #1730406)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Nov 2017 15:40:48 +0100

gnome-shell-extension-appindicator (17.10.2) artful; urgency=medium

  * Fix icons from qt applications disappearing after screen lock/sleep.
    Thanks Marco (LP: #1712866)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 23 Oct 2017 10:15:12 +0200
