## gnome-shell-extension-appindicator 18.04.1

=== debian/changelog ===
gnome-shell-extension-appindicator (18.04.1) bionic; urgency=medium

  * Rebase on latest upstream with those fixes:
    - Fix icons vertically stretched on HDPI screen
    - Fix warnings from GNOME Shell 3.26

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Mar 2018 09:26:22 +0200

gnome-shell-extension-appindicator (18.04) bionic; urgency=medium

  * Rebase on latest upstream release:
    - Fix icon are too small with some tray icons such as Telegram
      (LP: #1730406)
    - Fix warning with latest GJS.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 16 Nov 2017 15:40:48 +0100
