## gnome-shell-extension-appindicator 22

=== debian/changelog ===
gnome-shell-extension-appindicator (22-1) unstable; urgency=medium

  * Initial release (Closes: #898144)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 07 May 2018 23:37:59 +0200
