=== debian/control ===
Source: gnome-shell-extension-appindicator
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper (>= 11)
Standards-Version: 4.1.4
Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-appindicator
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-appindicator.git

Package: gnome-shell-extension-appindicator
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: AppIndicator/KStatusNotifierItem support for GNOME Shell
 This extension integrates Ubuntu AppIndicators and KStatusNotifierItems
 (KDE's blessed successor of the systray) into GNOME Shell.
 .
 Features:
 .
  - show indicator icons in the panel
  - reveal indicator menus upon click
  - double clicking an icon will activate the application window
    (if implemented by the indicator)
  - middle mouse click an icon to send a 'SecondaryActivate' event
    to the application. Support needs to be implemented in the application
