## gnome-shell-extension-appindicator 29

=== debian/changelog ===
gnome-shell-extension-appindicator (29-1~ubuntu19.04.1) disco; urgency=medium

  * Backport from eoan to fix LP: #1825447

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 30 Apr 2019 11:11:16 +0100

gnome-shell-extension-appindicator (29-1) experimental; urgency=medium

  [ Matteo F. Vescovi ]
  * New upstream release

  [ Marco Trevisan (Treviño) ]
  * dbusMenu: Fix indentation
  * testTool: Remove trailing spaces
  * testTool: Add item to toggle attention
  * testTool: Log signals to terminal
  * appIndicator: Connect to scroll-event signal.
    Fixes #169

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 25 Apr 2019 14:35:24 +0200
