=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper (>= 11)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell-extension-appindicator
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell-extension-appindicator.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
 
 Package: gnome-shell-extension-appindicator
 Architecture: all
 Depends:
+ gnome-shell (>= 3.31),
+ gnome-shell (<< 3.33),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: AppIndicator/KStatusNotifierItem support for GNOME Shell
