## gnome-shell-extension-appindicator 30

=== debian/changelog ===
gnome-shell-extension-appindicator (30-1) experimental; urgency=medium

  * New upstream release
    - debian/patches/: patchset refreshed against v30
      - metadata-use-appindicator-namespace-and-naming.patch updated
  * debian/control:
    - S-V bump 4.3.0 -> 4.4.0 (no changes needed)
    - bump versioning for gnome-shell dependency
  * debian/: debhelper bump 11 -> 12

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 13 Aug 2019 22:50:46 +0200

gnome-shell-extension-appindicator (29-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 08 Jul 2019 14:40:53 +0200
