=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.3.0
+ debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
@@ -13,8 +13,8 @@
 Package: gnome-shell-extension-appindicator
 Architecture: all
 Depends:
- gnome-shell (>= 3.31),
- gnome-shell (<< 3.33),
+ gnome-shell (>= 3.33),
+ gnome-shell (<< 3.35),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: AppIndicator/KStatusNotifierItem support for GNOME Shell
