## gnome-shell-extension-appindicator 32

=== debian/changelog ===
gnome-shell-extension-appindicator (32-1) experimental; urgency=medium

  * Team upload.

  [ Marco Trevisan (Treviño) ]
  * New upstream version:
    - Added support for indicator-multiload
    - Made lots of logging visible only in debug mode
    - Fixed rendering of named icons in HiDPI
    - Monitor service name to track Qt applications
    - Mitigate non-working state after unlock
    - Reload icons, label and state when the app requests us
  * debian/patches: Refresh
  * debian/control: Add compatibility with gnome-shell 3.36
  * debian/gbp.conf: Set the upstream-tag format

  [ Matteo F. Vescovi ]
  * debian/control: S-V bump 4.4.0 -> 4.5.0 (no changes needed)
  * debian/control: RRR set

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 26 Feb 2020 20:31:17 +0100

gnome-shell-extension-appindicator (30-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 01 Oct 2019 20:27:11 +0200
