=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
 Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator.git
@@ -14,7 +15,7 @@
 Architecture: all
 Depends:
  gnome-shell (>= 3.33),
- gnome-shell (<< 3.35),
+ gnome-shell (<< 3.37),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: AppIndicator/KStatusNotifierItem support for GNOME Shell
