## gnome-shell-extension-appindicator 34

=== debian/changelog ===
gnome-shell-extension-appindicator (34-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - appIndicator: Remove the callbackIdle if we destroy while waiting it
    - StatusNotifierWatcher: Remove ProtocolVersion method
    - appIndicator: Ignore further icons creation during an idle
    - README: Remove statement about indicator-multiload not being supported
    - statusNotifierWatcher: Fix RegisterStatusNotifierHost method name and
      returned error
    - interfaces: Sync interfaces XML with upstream ones
    - StatusNotifierItem: Disable Tooltip properties and signals
    - testTool: Add support for secondary indication
    - indicatorStatusIcon: Remove deleted y_fill property on St.Bin
    - testTool: Import the Gtk version 3.0
    - testTool: Use nicer default icons and support random ones from a pool
    - testTool: Replace icons on scroll events
    - testTool: Show a longer label by default
    - testTool: Use a checked menu item to toggle attention
    - testTool: Set the secondary activation to a more complete change
    - testTool: Print the icon to be used on new-icon signal
    - testTool: Explain why we repeat the separators
    - testTool: Don't use escape sequences as we use verbatim strings
    - testTool: Add ability to use a random icon from a custom theme
    - util: Use Shell's param to handle multiple named arguments
    - util: Delete proxyCancellables only if we didn't cancel already
    - appIndicator: Use String.startsWith intead of substr
    - appIndicator: Cleanup the interface info properties map computation
    - util: Use variable keys for object initializer
    - appIndicator: Don't deep unpack changed properties array
    - appIndicator: Use native checks to look for equal emblems
    - appIndicator: Mark a valid cached icon as inUse again
    - appIndicator: Correctly mark cached GIcon's as in use
    - iconCache: Rewrite simplifying the usage for GIcon's only
    - iconCache: Dispose an icon when we remove it
    - iconCache: Add weakClear() method
    - iconCache: Increase the garbage-collector timings
    - appIndicator: Remove deprecate usage of Mainloop
    - appIndicator: Only iterate through the proxy available properties
    - appIndicator: Don't try to check equality on Pixmap variants
      (LP: #1884396)
    - testTool: Add case simulating lots of icon and labe updates
    - util: Try to batch properties updates when they comes close enough
    - appIndicator: Accumulate signals to batch close updates
    - appIndicator: Emit the same signal once on properties updates
    - appIndicator: Improve the warning message on lookup failed
    - dbusMenu: Use proper argument name when parsing error
    - dbusMenu: Stop idle requests if we've been destroyed
    - cleanup: Use Set instead of Arrays when convenient
    - cleanup: Use Map instead of objects for simple associative arrays
    - metadata: Add support for GNOME 3.38
  * debian/changelog:
    - Bump dependency on GNOME Shell << 40~

  [ Fini Jastrow ]
  * appIndicator: Remove unneeded padding
  * appIndicator: Fix 'reduce padding' for some icons

  [ Sergio Costas ]
  * Wait until the desktop ends starting up
  * Wait until Gtk.IconTheme.get_default() works
  * Don't fail if no icon is found (LP: #1849142)
  * Use signal to detect display availability

  [ Tasos Sahanidis ]
  * kstatusnotifierwatcher: Implement ProtocolVersion property

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 19 Sep 2020 06:47:31 +0200

gnome-shell-extension-appindicator (33-3) unstable; urgency=medium

  * debian/control: Bump dependency on gnome-shell << 3.38

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 27 Aug 2020 22:06:38 +0200

gnome-shell-extension-appindicator (33-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 11 Apr 2020 20:23:02 +0200
