## gnome-shell-extension-appindicator 35

=== Makefile ===
--- 
+++ 
@@ -10,5 +10,8 @@
 	rm -f build/appindicator-support.zip
 	zip build/appindicator-support.zip $(ZIP)
 
+check:
+	eslint $(shell find -name '*.js')
+
 clean:
 	rm -rf build
