=== debian/changelog ===
gnome-shell-extension-appindicator (35-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/control:
    - Add myself to the Uploaders
    - Build depend on eslint when tests are enabled
  * debian/gbp.conf:
    - Use multimaint-merge in dch and sign tags
    - Set upstream branch to upstream/latest
    - Set upstream-vcs-tag while use default upsteram-tag
  * debian/patches:
    - Use tap formatter for eslint by default
    - Refresh
  * util: Ignore errors if we can't find a listed dbus name
  * util: Properly call logger static method
  * appIndicator: Use promises for the async code
  * appIndicator: Re-indent and cleanup code to create from pixmaps
  * appIndicator: Cancel icons loading when we're required to invalidate it
  * appIndicator: Use low-priority idles to load pixmap icons in batches
  * cleanup: Replace more GLib Sources with promises
  * promiseUtils: Backport the current gjs promisfy implementation
  * appIndicator: Use an async function to initialize the proxy
  * appIndicator: Fix a typo in a variable name
  * util: Promisify refreshPropertyOnProxy
  * promiseUtils: Polyfill a Promise.allSettled implementation
  * statusNotifierWatcher: Use fully async implementation for DBus traversing
  * statusNotifierWatcher: Only perform DBus lookup on idle
  * promiseUtils: Add promise to wait for a single signal emission
  * statusNotifierWatcher: Use a simple promise to wait startup
  * statusNotifierWatcher: Ensure we catch errors on indicator initialization
  * statusNotifierWatcher: Move name watching into the indicator logic
  * statusNotifierItem: Emit signals about removed items on destruction
  * statusNotifierWatcher: Emit the uniqueId when emitting (Un)Registered events
  * Util: define an unique name watcher and reuse it as watch dog and for the indicator
  * indicatorStatusIcon: Handle scroll events on label too, not only on icon
  * indicatorStatusIcon: Use virtual functions to monitor button events
  * eslint: Add linter rules based on upstream gnome-shell and gjs and use auto-fix
  * cleanup: Cleanup code to match eslint rules
  * Utils: Do not support connecting to signals via method names

  [ Matteo F. Vescovi ]
  * debian/control: debhelper bump 12 -> 13

  [ Fran Dieguez ]
  * Add support for GNOME 40

  [ Dennis Fölster ]
  * Register the StatusNotifierWatcher as soon as possible (LP: #1905370,
     Closes: #977695).
  * Fix incorrect placed import.
  * Use strict equals comparison.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Mar 2021 01:11:51 +0100
