=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13),
+ eslint <!nocheck>
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
