=== debian/control ===
--- 
+++ 
@@ -1,11 +1,19 @@
+# This file is autogenerated. DO NOT EDIT!
+#
+# Modifications should be made to debian/control.in instead.
+# This file is regenerated automatically in the clean target.
 Source: gnome-shell-extension-appindicator
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- eslint <!nocheck>
+ dh-sequence-gnome,
+ eslint <!nocheck>,
+ jq,
+ libglib2.0-bin,
+ meson,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
@@ -16,12 +24,17 @@
 Architecture: all
 Depends:
  gnome-shell (>= 3.33),
- gnome-shell (<< 40~),
+ gnome-shell (<< 41~),
  ${shlibs:Depends},
  ${misc:Depends}
-Description: AppIndicator/KStatusNotifierItem support for GNOME Shell
+Suggests:
+ gnome-shell-extension-prefs,
+ libappindicator3-1,
+ libayatana-appindicator3-1,
+Description: AppIndicator, KStatusNotifierItem and tray support for GNOME Shell
  This extension integrates Ubuntu AppIndicators and KStatusNotifierItems
- (KDE's blessed successor of the systray) into GNOME Shell.
+ (KDE's blessed successor of the systray) and legacy tray icons into
+ GNOME Shell.
  .
  Features:
  .
@@ -31,3 +44,5 @@
     (if implemented by the indicator)
   - middle mouse click an icon to send a 'SecondaryActivate' event
     to the application. Support needs to be implemented in the application
+  - supports legacy tray icons
+  - icons can be themed, resized and effects can be applied
