## gnome-shell-extension-appindicator 42

=== debian/changelog ===
gnome-shell-extension-appindicator (42-2~fakesync1) jammy; urgency=medium

  * Manual upload from salsa, to not have to wait for debian publishing

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 22:51:52 +0200

gnome-shell-extension-appindicator (42-2) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * appIndicator: Fix indicator IDs on error logs
  * appIndicator: Handle promises rejections gracefully (LP: #1968498)
  * statusNotifierWatcher: Handle initialization / destruction errors
  * extension: Cleanup indicators leftovers on startup

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 14 Apr 2022 22:50:56 +0200

gnome-shell-extension-appindicator (42-1) unstable; urgency=medium

  * New upstream release:
    - IndicatorStatusTrayIcon: Use the latest valid touch event on long press
    - iconCache: Handle errors on timeout cancellations
    - metadata: Add support for gnome-shell 42
    - promiseUtils: Update _promisify definition to match latest gjs one
    - promiseUtils: Ensure we don't leave dangling CancellablePromise
    - indicatorStatusIcon: Try to pass the event coordinates to activate methods
    - indicatorStatusIcon: Use XAyatanaSecondaryActivate passing timestamp
    - appIndicator: Pass GCancellable to remote proxy operations
    - statusNotifierWatcher: Use Promise.allSettled to introspect dbus names
    - appIndicator: Handle some unhandled promise rejections
  * debian/control: Add support for GNOME Shell 42

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 24 Feb 2022 03:37:29 +0100

gnome-shell-extension-appindicator (41-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * build: Use meson to configure, test and install the extension.
  * Locale: Update PO files as per new strings
  * indicatorStatusIcon: Handle events on the whole legacy tray icon area.
  * appIndicator: Also ensure that indicator ID is always defined.
  * satusNotifierWatcher: code cleanup
  * indicatorStatusIcon: Only redirect events coming from tray icon container.
    It seems that processing events that we get from the tray icon itself
    results in mutter not accepting them when running in pure wayland, as
    the clients should be in an "allowed-list" of windows who can require
    grabs.
    If we do this from a shell actor, instead, this works. So let's just
    use the container events.
  * indicatorStatusIcon: Properly handle tray key events and key navigation
  * IndicatorStatusTrayIcon: Mark the button as active while pressing a key/button
  * IndicatorStatusTrayIcon: Handle touch events under wayland.
    Simulate classic button events when we got touch events.
    A simple tap event is considered a left click, while long-press events
    are sent as right-clicks.
  * statusNotifierWatcher: Handle promise rejection on items seeking
  * statusNotifierWatcher: Keep track if we've ever acquired bus name.
    This was only for controlling debug statements
  * appIndicator: Avoid checking for ready state multiple times.
    This may lead to emitting signals that lead to rebuilding menus mutliple
    times.
  * dbusMenu: random cleanups
  * debian/control: Add support to gnome-shell 41
  * debian/patches: Refresh and drop applied upstream

  [ Ivan Mironov ]
  * Add support for GNOME 41.

  [ Andreas Angerer ]
  * appIndicator: Add option to change indicator icons with a custom icon

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Oct 2021 05:17:15 +0200

gnome-shell-extension-appindicator (40-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable for GNOME 40 transition (Closes: #994126)
  * Don't run eslint as a build-time test.
    This is a lint tool rather than a functional test, which is useful
    for upstream maintainers but likely to be too fragile to be a
    downstream CI gate. This change also works around the eslint and
    node-strip-json-comments versions in unstable being incompatible,
    causing FTBFS.

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 16:10:15 +0100
