=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
- eslint <!nocheck>,
  jq,
  libglib2.0-bin,
  meson,
@@ -24,7 +23,7 @@
 Architecture: all
 Depends:
  gnome-shell (>= 3.33),
- gnome-shell (<< 41~),
+ gnome-shell (<< 43~),
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:
