## gnome-shell-extension-appindicator 44

=== debian/changelog ===
gnome-shell-extension-appindicator (44-1) unstable; urgency=medium

  * New upstream release:
    - indicatorStatusIcon: Toggle menu on right-clicks again

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 28 Sep 2022 01:44:07 +0200

gnome-shell-extension-appindicator (43-1) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * extension: Cleanup indicators leftovers on startup
  * cleanup: Catch more errors on promises rejections
  * indicatorStatusIcon: Handle double clicks in GNOME 42
  * dbusMenu: pass the activation timestamp to the event handler
  * indicatorStatusIcon: Add icons to status area once created
  * trayIconsManager: Just use native container to keep track of tray icons
  * trayIconsManager: Destroy panel parent icon instead of the child on removal
    (LP: #1988315)
  * indicatorStatusIcon: Wait for potential double-click before opening menu
  * util: Add functions to get PID or command line from bus name
  * utils: Add function to add promise-based Async methods to proxies
  * appIndicator: Use async calls to dbus proxy methods
  * appIndicator: Provide XDG Activation token on activation events
  * dbusMenu: Remove local instances on item destruction
  * dbusMenu: Provide XDG Activation token on menu items activation
  * Releasing version 43
  * debian/patches: Refresh

  [ Jose Riha ]
  * Update Slovak translation (thanks @AsciiWolf)

  [ AsciiWolf ]
  * Add Czech translation

  [ Mejans ]
  * Adds OC
  * Create oc.po

  [ JungHee Lee ]
  * Create ko.po file korean translation.
  * Update LINGUAS

  [ Roxfr ]
  * Update fr.po

  [ Ewout van Mansom ]
  * List shell version 43 in metadata.json

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 26 Sep 2022 23:10:38 +0200

gnome-shell-extension-appindicator (42-3) unstable; urgency=medium

  * Add patch to mark compatible with GNOME Shell 43
  * debian/control.in: Bump maximum gnome-shell to 43

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 11:16:08 -0400
