=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>
+Uploaders: Matteo F. Vescovi <mfv@debian.org>, Marco Trevisan <marco@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gnome,
@@ -23,7 +23,7 @@
 Architecture: all
 Depends:
  gnome-shell (>= 3.33),
- gnome-shell (<< 43~),
+ gnome-shell (<< 44~),
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests:
