## gnome-shell-extension-appindicator 46

=== debian/changelog ===
gnome-shell-extension-appindicator (46-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 15 Dec 2022 11:59:31 -0500
