=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  jq,
  libglib2.0-bin,
  meson,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ubuntu/gnome-shell-extension-appindicator
 Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-appindicator
